Page MenuHomeFreeBSD

devel/php-libawl: Update to version 0.60
ClosedPublic

Authored by rigoletto on Mar 20 2019, 12:11 AM.

Details

Summary

PR 236649

  • Update to version 0.60
  • switch to DITSVERSION
  • switch to FLAVORs[1]

[1] I am not sure of how to deal with the php flavoring on ports depending on it. Eg. www/davical.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Update www/davical to use the flavored libawl.

Re-organize www/davical/Makefile.

Well, you could add flavors to davical.

  • convert www/davical to flavors. I think it doesn't need a MOVED entry
  • take the maintainership of devel/php-libawl. There were three time-outs already

Looks good to me.

You still need approval for the flavors though.

This revision is now accepted and ready to land.Mar 30 2019, 11:18 PM

Bumping www/davical PORTREVISION due to package name changing.

This revision now requires review to proceed.Mar 31 2019, 1:19 AM

Sorry, I was careless. As you're adding flavors you need to add the MOVED entries too.

This revision now requires changes to proceed.Mar 31 2019, 8:05 AM

Sorry, I was careless. As you're adding flavors you need to add the MOVED entries too.

IDK what would be the proper way to add the MOVED entry because the port name doesn't change [www/davical] but just the package with ${PHP_PKGNAMESUFFIX}. Also, I can't flavorize without adding the suffix. ^^

I don't see anything that requires portmgr's intervention.

Also, I don't see any MOVED entry being required.

In D19653#425243, @mat wrote:

I don't see anything that requires portmgr's intervention.

Also, I don't see any MOVED entry being required.

I added because flavorizations. :-)

This revision is now accepted and ready to land.Apr 12 2019, 4:20 AM
This revision was automatically updated to reflect the committed changes.